package jp.mosp.payroll.common.action;

import jp.mosp.common.CommonConst;
import jp.mosp.common.common.MospConst;
import jp.mosp.common.common.MospException;
import jp.mosp.common.dto.CmAuthorityDto;
import jp.mosp.common.vo.MosPMenuVo;

public class PayrollMenuAction extends PayrollMenuArrangeAction {

	// コマンド定数
	public static final String CMD_SHOW = MospConst.CMD_MENU;

	/**
	 * コンストラクタ
	 */
	public PayrollMenuAction() {
		super();
	}

	/**
	 * アクション
	 */
	public void action() throws Exception {
		// DBコネクション取得
		getConnection();
		// 保存VO初期化
		initStoredData();
		// VOの初期化
		MosPMenuVo vo = new MosPMenuVo();
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VOの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
		// DTOの取得
		CmAuthorityDto dto = getUserAuthDto();
		String component = "";
		// コマンド毎の処理
		if (cmd.equals(CMD_SHOW) || cmd.equals(vo.CMD_MENU_INPUT)) {
			component = getEmployeeComponent(dto);
			// 表示タイトルの設定
			vo.setTitle(CommonConst.TTL_MENU_INPUT);
		} else if (cmd.equals(vo.CMD_MENU_MAMAGE)) {
			component = getManagerComponent(dto);
			// 表示タイトルの設定
			vo.setTitle(CommonConst.TTL_MENU_MANAGE);
		} else if (cmd.equals(vo.CMD_MENU_PAYROLL)) {
			component = getPayrollComponent(dto);
			// 表示タイトルの設定
			vo.setTitle(CommonConst.TTL_MENU_PAYROLL);
		} else if (cmd.equals(vo.CMD_MENU_HUMAN)) {
			component = getHumanComponent(dto);
			// 表示タイトルの設定
			vo.setTitle(CommonConst.TTL_MENU_HUMAN);
		} else if (cmd.equals(vo.CMD_MENU_SYSTEM2)) {
			component = convAryToComponent(getSystemCmdArray());
			// CSSの設定
			vo.setCommonCss(CommonConst.CSS_ADMIN);
			vo.setMode(MosPMenuVo.MODE_ADMIN);
		} else {
			throw new MospException(MospConst.EX_CMD_INVALID);
		}
		user.setCommonCss(vo.getCommonCss());
		vo.setFields(component, combineAllCmdArray());
	}

}
